.\" @(#)welltris.man
.\"
.\" Copyright 1993 - 2009  David A. Bagley, bagleyd@tux.org
.\"
.\" Taken from GENERIC X-BASED TETRIS
.\"
.\" Copyright 1992 - 1995  Q. Alex Zhao, azhao@cc.gatech.edu
.\"
.\" All Rights Reserved
.\"
.\" Permission to use, copy, modify, and distribute this software and
.\" its documentation for any purpose and without fee is hereby granted,
.\" provided that the above copyright notice appear in all copies and
.\" that both that copyright notice and this permission notice appear in
.\" supporting documentation, and that the name of the author not be
.\" used in advertising or publicity pertaining to distribution of the
.\" software without specific, written prior permission.
.\"
.\" This program is distributed in the hope that it will be "useful",
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
.\"
.TH WELLTRIS 6 "10 Nov 2009" "V7.5.1"
.SH NAME
welltris \- Welltris X widget
.SH SYNOPSIS
.B /usr/games/welltris
[\-geometry [{width}][x{height}][{+\-}{xoff}[{+\-}{yoff}]]]
[\-display [{host}]:[{vs}]] [\-[no]mono] [\-[no]{reverse|rv}]
[\-{foreground|fg} {color}] [\-{background|bg} {color}]
[\-[no]sound] [\-bumpSound {filename}]
[\-dripSound {filename}] [\-level {starting_level}]
[\-units {size_of_polyomino}] [\-diameter {diameter}]
[\-fill {rows}] [\-[no]fixedFill] [\-[no]suddenAppear]
[\-[no]diagonal] [\-[no]mixed] [\-[no]bonus] [\-[no]cw]
[\-[no]plain] [\-[no]showNext] [\-[no]grid]
[\-userName {string}] [\-scoreFile {filename}] [\-scores]
[\-version]
.SH DESCRIPTION
The ever popular falling tetromino game.  Enhanced to
allow all polyomino classes that do not have pieces with
holes.  Mixing polyomino classes (so as to permit polyominoes
made up by a variable number squares) can also be
selected, as well as, the 2 sets of diagonal polyominoes
that do not have pieces with holes.
.LP
To make these games interesting and "do\-able" the ability
to rotate gets turned off if it is easier than the 4
square polyomino.  An added ability "reflect"
(right\-left \-> left\-right) allows one to attempt the 5 square and
6 square polyomino pieces.
.LP
To get high scores, do not use "show next" mode, try
starting at a higher level and try to let "welltris" eat more
than one line at a time.  Polyominoes with diagonal or
with a higher number of squares earn more points.  Mixed
mode earns less points.  Play \fIfast\fP and see how well you
can do in the \fIbonus\fP mode.  Bonuses are set when the
level is changed automatically.  (\fIBonus\fP mode not available
for 6 squares or 3 squares and diagonal mode).
.LP
The program lists the top 15 players at the end, each player
has at most three scores.  With the option \fB\-scores\fP, it
shows all the players and scores.
.SH FEATURES
Click "\fBmouse\-left\fP" button, or press "\fBJ\fP", "\fBj\fP",
"\fBS\fP", or "\fBs\fP" keys to move the falling polyomino left.
.LP
Click "\fBmouse\-center\fP" button, or press "\fBK\fP", "\fBk\fP",
"\fBD\fP", or "\fBd\fP" keys to rotate the falling polyomino.
Note this may be turned off if the depending on the
"turn\-style", but normally this is "on".
.LP
Click "\fBmouse\-right\fP" button, or press "\fBL\fP", "\fBl\fP",
"\fBF\fP", or "\fBf\fP" keys to move the falling polyomino right.
.LP
Click "\fBmouse\-scroll\-up\fP", or press "\fBI\fP", "\fBi\fP",
"\fBE\fP", or "\fBe\fP" keys to flip (reflect) the falling polyomino.
Note this may be turned off if the depending on the
"turn\-style", but normally this is "off".
.LP
Click "\fBmouse\-scroll\-down\fP", or press "\fBspace\-bar\fP"
to drop the falling polyomino.
.LP
The key pad and arrow keys are defined similar.
.br
Key pad is defined for Welltris as:
.br
  /     Reflect
.sp
  8     Rotate
.br
  ^
.br
4<5>6   Left, Rotate, Right
.br
  v
.br
  2     Drop
.LP
Press "\fBC\fP" or "\fBc\fP" keys to clear.
.LP
Press "\fB>\fP" or "\fB.\fP" keys to speed up
the falling polyomino.
.LP
Press "\fB<\fP" or "\fB,\fP" keys to slow down
the falling polyomino.
This may be turned off to avoid cheating.
.LP
Press "\fB+\fP" or "\fB=\fP" keys to increase the
squares in the falling polyomino.  Note: To keep the
level of play similar, the "turn style" can change.
The ability to reflect polyominoes is available
only when the number of squares >= 5.  The ability
to rotate polyominoes, is available only when
the number of squares is >= 4.  Bonus polyominoes
still have the current "turn style".
.LP
Press "\fB\-\fP" or "\fB_\fP" keys to decrease the squares in
the falling polyomino.
.LP
Press "\fB]\fP" or "\fB}\fP" keys to increase the diameter/depth
size.
.LP
Press "\fB[\fP" or "\fB{\fP" keys to decrease the diameter/depth
size.
.LP
Press "\fB`\fP", "\fB1\fP", "\fB2\fP", "\fB3\fP", "\fB4\fP", "\fB5\fP",
"\fB6\fP", "\fB7\fP", "\fB8\fP", "\fB9\fP", or "\fB0\fP" keys
(not the keypad 0\-9) to change the number of fill lines.
"\fB`\fP" for 0 lines and "\fB0\fP" for 10 lines.
.LP
Press "\fBX\fP" or "\fBx\fP" to toggle between fixed fill or
random fill.
.LP
Press "\fBR\fP" or "\fBr\fP" to toggle between sudden initial
appearance or gradual initial appearance.
.LP
Press "\fBG\fP" or "\fBg\fP" to toggle diagonal mode.  This
may not be available for current number of squares.
.LP
Press "\fBM\fP" or "\fBm\fP" to toggle mixed mode.  This
may not be available for current number of squares.
.LP
Press "\fBB\fP" or "\fBb\fP" to toggle bonus mode.  This
may not be available for current number of squares.
.LP
Press "\fBW\fP" or "\fBw\fP" to toggle clockwise or counter
clockwise turning.
.LP
Press "\fBP\fP" or "\fBp\fP" to toggle plain pieces or
three dimensional pieces.
.LP
Press "\fBN\fP" or "\fBn\fP" to toggle show next.
.LP
Press "\fB#\fP" key to toggle the grid.
.LP
Press "\fB|\fP" key to pause.
.LP
Press "\fB@\fP" key to toggle the sound.
.LP
Press "\fBEsc\fP" key to hide and pause program.  When the
welltris window loses its focus, it also goes to "paused" mode
and it iconifies itself.
.LP
Press "\fBQ\fP", "\fBq\fP", or "\fBCTRL\-C\fP" keys to kill program.
.SH OPTIONS
.TP 8
.B \-geometry {+|\-}\fIX\fP{+|\-}\fIY\fP
This option sets the initial position of the welltris window (resource
name "\fIgeometry\fP").
.TP 8
.B \-display \fIhost\fP:\fIdpy\fP
This option specifies the X server to contact.
.TP 8
.B \-[no]mono
This option allows you to display the welltris window on a color screen as
if it were monochrome (resource name "\fImono\fP").
.TP 8
.B \-[no]{reverse|rv}
This option allows you to see the welltris window in reverse video
(resource name "\fIreverseVideo\fP").
.TP 8
.B \-{foreground|fg} \fIcolor\fP
This option specifies the foreground of the welltris window (resource name
"\fIforeground\fP").
.TP 8
.B \-{background|bg} \fIcolor\fP
This option specifies the background of the welltris window (resource name
"\fIbackground\fP").
.TP 8
.B \-[no]sound
This option specifies if row completion should make a sound or not
(resource name "\fIsound\fP").
.TP 8
.B \-bumpSound \fIfilename\fP
This option specifies the file for the bump sound for the elimination
of rows (resource name "\fIbumpSound\fP").
.TP 8
.B \-dripSound \fIfilename\fP
This option specifies the file for the drip sound the freezing the
freezing and dropping of walls (resource name "\fIdripSound\fP").
.TP 8
.B \-level \fIlevel\fP
This option starts the program at the specified level (resource name
"\fIstartLevel\fP").
.TP 8
.B \-units \fsize_of_polyomino\fP
This option starts the program with the specified number of squares in
each polyomino (resource name "\fIunits\fP").
.TP 8
.B \-diameter \fIdiameter\fP
This option starts the program with the specified diameter in squares
(depth is 3 * diameter / 2) (resource name "\fIdiameter\fP").
.TP 8
.B \-fill \fIrows\fP
This option indicates that the program should start with some of the rows
being randomly filled (resource name "\fIfill\fP").
.TP 8
.B \-[no]fixedFill
Works only with the \-p option where it fixes the number of boxes to be
filled to diameter size / 2 \- 1 random blocks per row. (resource name
"\fIfixedFill\fP").
.TP 8
.B \-[no]suddenAppear
Polyominoes will now suddenly appear within the window. Now one cannot
rotate a piece above the window. (resource name "\fIsuddenAppear\fP").
.TP 8
.B \-[no]diagonal
This option turns diagonal mode on (only available on \-n <2\-3>)
(resource name "\fIdiagonal\fP").
.TP 8
.B \-[no]mixed
This option turns the mixed mode on (not available for \-n 2 since there
is nothing to mix it with). This allows polyominoes of less squares
than the maximum determined by \-n (resource name "\fImixed\fP").
.TP 8
.B \-[no]bonus
This option turns the bonus pieces on (not available for \-n 6 since there
are no size 7 pieces). This allows polyominoes of more squares than
the minimum determined by \-n (resource name "\fIbonus\fP").
.TP 8
.B \-[no]cw
The rotate key will now rotate pieces cw (resource name "\fIcw\fP").
.TP 8
.B \-[no]plain
Uses the old "plain" bitmaps instead of the default 3D ones (resource
name "\fIplain\fP").
.TP 8
.B \-[no]showNext
This option tells the program start in "show next" mode (resource name
"\fIshowNext\fP").
.TP 8
.B \-[no]grid
This option specifies if a grid should appear
(resource name "\fIgrid\fP").
.TP 8
.B \-userName \fIname\fP
This option specifies the user name for any records made or else it will
get your login name (resource name "\fIuserName\fP").
.TP 8
.B \-scoreFile \fIfilename\fP
Specify an alternative score file (resource name "\fIscoreFile\fP").
.TP 8
.B \-scores
This option lists all the recorded scores and then exits.
.TP 8
.B \-version
This option tells you what version of welltris you have.
.SH REFERENCES
Based at one time on Q. Alex Zhao's Tetris.
.SH SEE ALSO
.LP
X(1), tetris(6), tertris(6), hextris(6), xhextris(6), xmris(6)
.SH COPYRIGHTS
.LP
\*R Copyright 1993\-2009, David A. Bagley, <\fIbagleyd@tux.org\fP>.
\*R Copyright 1992\-1995, Q. Alex Zhao, <\fIazhao@cc.gatech.edu\fP>.
.SH BUG REPORTS AND PROGRAM UPDATES
.LP
Send bugs (or their reports, or fixes) to the author:
.RS
David A. Bagley, <\fIbagleyd@tux.org\fP>
.RE
.sp
The latest version is currently at:
.RS
\fIhttp://www.tux.org/~bagleyd/puzzles.html\fP
.br
\fIftp://ibiblio.org/pub/Linux/games/arcade/tetris\fP
